Skip to main content
GET
Get one Slot Type

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the SlotType.

Required range: x >= 1

Query Parameters

fields
enum<string>[]

Specify additional fields of the SlotType object to be included in the response.

Available options:
basic,
all,
name,
is_pickable,
sort_order,
patterns,
is_fixed_capacity,
slot_dimensions,
weight_capacity,
created_at,
updated_at

Response

OK

resource
SlotType · object

The SlotType object allows locations with common attributes or purposes to be easily distinguishable. The slot type also determines if a location is pickable or not which may affect whether or not the location can be reserved for shipments when creating a batch.

A slot type may additionally declare a fixed physical capacity, which drives slot capacity and utilization calculations, and a list of label patterns that auto-assign the type to matching locations.